package com.company;

/**
 * Задание 1. Написать класс MathBox, реализующий следующий функционал:
 *
 *         Конструктор на вход получает массив Number. Элементы не могут повторяться. Элементы массива внутри объекта раскладываются в подходящую коллекцию (выбрать самостоятельно).
 *         Существует метод summator, возвращающий сумму всех элементов коллекции.
 *         Существует метод splitter, выполняющий поочередное деление всех хранящихся в объекте элементов на делитель, являющийся аргументом метода. Хранящиеся в объекте данные полностью заменяются результатами деления.
 *         Необходимо правильно переопределить методы toString, hashCode, equals, чтобы можно было использовать MathBox для вывода данных на экран и хранение объектов этого класса в коллекциях (например, hashMap). Выполнение контракта обязательно!
 *         Создать метод, который получает на вход Integer и если такое значение есть в коллекции, удаляет его.
 */

public class Main {

    public static void main(String[] args) {
	// write your code here
        MathBox m = new MathBox(new Number[]{1,2,3,4,5,6,7,8,9,10,10,11,5});
        System.out.println("Получили список: " + m);
        System.out.println("hashCode: " + m.hashCode());

        MathBox m2 = new MathBox(new Number[]{1,2,3,4,5,6,7,8,9,10,10,11,5}); //второй такой же
        System.out.println("Получили второй список: " + m);
        System.out.println("Проверяем equals: " + m.equals(m2));

        System.out.println("summator: " + m.summator());
        System.out.println("Разделили элементы на 2: " + m.splitter(2));

        m.delE(2); //удаляем элемент "2"
        System.out.println("Удалили элементы 2: " + m);
    }
}
